summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2017-07-31 15:53:09 +0300
committerLars Wirzenius <liw@liw.fi>2017-07-31 15:53:09 +0300
commitdf26f3c4af7d4ca34a3ffd85a91a600590623d3b (patch)
tree5474246143a4dc00aebda4ddf79e8e1fe0b85322
parentf5927309b22d90bc40b3ae4ada68142c18fd57f1 (diff)
downloadslog-df26f3c4af7d4ca34a3ffd85a91a600590623d3b.tar.gz
Add: script to run automated tests
-rwxr-xr-xcheck22
-rw-r--r--pylint.conf20
-rw-r--r--without-tests3
3 files changed, 45 insertions, 0 deletions
diff --git a/check b/check
new file mode 100755
index 0000000..4e12cf0
--- /dev/null
+++ b/check
@@ -0,0 +1,22 @@
+#!/bin/sh
+# Copyright (C) 2017 Lars Wirzenius
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as
+# published by the Free Software Foundation, either version 3 of the
+# License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+
+set -eu
+
+python3 -m CoverageTestRunner --ignore-missing-from=without-tests
+pep8 slog
+pylint3 -j0 --rcfile pylint.conf slog
diff --git a/pylint.conf b/pylint.conf
new file mode 100644
index 0000000..95f7e92
--- /dev/null
+++ b/pylint.conf
@@ -0,0 +1,20 @@
+[MASTER]
+persistent=no
+
+[MESSAGES CONTROL]
+disable=
+ invalid-name,
+ missing-docstring,
+ no-member,
+ no-self-use,
+ redefined-variable-type,
+ too-few-public-methods,
+ too-many-public-methods,
+ unidiomatic-typecheck,
+ unused-argument,
+
+[REPORTS]
+reports=no
+
+[SIMILARITIES]
+min-similarity-lines=999
diff --git a/without-tests b/without-tests
new file mode 100644
index 0000000..b00ad7b
--- /dev/null
+++ b/without-tests
@@ -0,0 +1,3 @@
+setup.py
+slog/__init__.py
+slog/version.py